# tmake project file
#
# Project started by: Marius Sundbakken <marius@fix.no>
# Project now maintained by: Jan Borsodi <amos@abn.hibu.no>
PROJECT		=	QtVu
CONFIG		=	qt warn_on
DIST		=	imageviewer
TARGET		=	qtvu
LIBS		=	-lqimgio -lpng -ljpeg -lz
OBJECTS_DIR	=	obj
MOC_DIR		=	moc
SOURCES		=	\
			main.cpp \
			qmdirdrag.cpp \
			qmlistdialog.cpp \
			qmmainwindow.cpp \
			qmpixmapbutton.cpp \
		 	qmbrowser.cpp \
		 	qmcachedpreview.cpp \
		 	qmdetaillist.cpp \
		 	qmdirtree.cpp \
		 	qmfilelist.cpp \
		 	qmhotlist.cpp \
		 	qmimageview.cpp \
		 	qmimageviewbrowser.cpp \
		 	qminfoitem.cpp \
		 	qmlistview.cpp \
		 	qmlistviewitem.cpp \
		 	qmpreview.cpp \
		 	qmpreviewitem.cpp \
		 	qmtabbar.cpp \
			qathumbnaillistview.cpp \
			qacommonlist.cpp \
			qaconfig.cpp \
			qaoptions.cpp
HEADERS		=	\
			qmdirdrag.h \
			qmimageview.h \
			qmlistdialog.h \
			qmmainwindow.h \
			qmpixmapbutton.h \
			strings.h \
		 	qmbrowser.h \
		 	qmcachedpreview.h \
		 	qmdetaillist.h \
		 	qmdirtree.h \
		 	qmfilelist.h \
		 	qmhotlist.h \
		 	qmimageviewbrowser.h \
		 	qminfoitem.h \
		 	qmlistview.h \
		 	qmlistviewitem.h \
		 	qmpreview.h \
		 	qmpreviewitem.h \
		 	qmtabbar.h \
			qathumbnaillistview.hpp \
			qacommonlist.hpp \
			qaconfig.hpp \
			qaoptions.hpp
