/* ;-*-c++-*-
 * 
 * qmcachedpreview.h
 * 
 * Marius Sundbakken <marius@fix.no>
 *
 * Last modified: Time-stamp: <21-Jun-1999 13:25:38 amos>
 */

#ifndef QMCACHEDPREVIEW_H_INCLUDED
#define QMCACHEDPREVIEW_H_INCLUDED

#include "qmpreview.h"
#include <qpixmap.h>
#include <qevent.h>
#include <qwidget.h>

class QmCachedPreview : public QmPreview
{
    Q_OBJECT
public:
    QmCachedPreview(QWidget *Parent = 0,
		    const char *Name = 0);
    virtual ~QmCachedPreview();

    void		setPixmap(const QPixmap &PixmapToPreview);

protected:
    virtual void	resizeEvent(QResizeEvent *e);
    
private:
    QPixmap		ThePixmap;

private slots:
    void		previewClicked();
};

#endif // QMCACHEDPREVIEW_H_INCLUDED
