/* ;-*-c++-*-
 *
 * qmdirtree.h
 *
 * Marius Sundbakken <marius@fix.no>
 *
 * Last modified: Time-stamp: <19-Jun-1999 18:54:56 amos>
 */

#ifndef QMDIRTREE_H_INCLUDED
#define QMDIRTREE_H_INCLUDED

#include <qfile.h>
#include <qlistview.h>
#include <qstring.h>
#include <qfileinfo.h>

#include "qmlistviewitem.h"

class QmDirectory : public QmListViewItem
{
public:
    QmDirectory( QListView * parent );
    QmDirectory( QmDirectory * parent, const char * filename );

    QString text( int column ) const;

    QString fullName();

    void setOpen( bool );
    void setup();

private:
    QFile	f;
    QmDirectory *pTheDir;
    bool	readable;
};

#endif // QMDIRTREE_H_INCLUDED
