/* ;-*-c++-*-
 * 
 * qmlistview.h
 * 
 * Marius Sundbakken <marius@fix.no>
 *
 * Last modified: Time-stamp: <21-Jun-1999 15:07:07 amos>
 */

#ifndef QMLISTVIEW_H_INCLUDED
#define QMLISTVIEW_H_INCLUDED

#include <qdropsite.h>
#include <qlistview.h>
#include "qacommonlist.hpp"
#include <qstring.h>
#include <qevent.h>
#include <qfileinfo.h>
#include <qwidget.h>

extern QaCommonList	*g_pCommonList;

class QmListView : public QListView, QDropSite
{
    Q_OBJECT
    
public:
    QmListView(QWidget *Parent = 0,
	       const char *Name = 0);
    virtual ~QmListView();

//  	void setPath( QString s, QListViewItem *vi );

protected:
    virtual void	keyPressEvent(QKeyEvent *e);
    virtual void	mousePressEvent(QMouseEvent *e);
//     virtual void	mouseReleaseEvent(QMouseEvent *e);
//    void		leaveEvent(QEvent *e);
    void		dragEnterEvent(QDragEnterEvent *e);
    void		dragMoveEvent(QDragMoveEvent *e);
    void		dragLeaveEvent(QDragLeaveEvent *e);
    void		dropEvent(QDropEvent *e);

//  public slots:
//  	void newDirectoryItem( const QListViewItem *vi, const QFileInfo *fi );
//  	void listingFinished();

private:
    bool		LeftButtonDown;
    QString		EnteredText;
};

#endif // QMLISTVIEW_H_INCLUDED
