// 
// $Id$
//
// Definition of eZFile class
//
// Jan Borsodi <amos@ez.no>
// Created on: <04-Dec-1999 23:28:13 amos>
//

#ifndef EZFILE_HPP
#define EZFILE_HPP

#include <qstring.h>
#include "ezfile.hpp"

class eZFile
{
public:
    enum CopyType
    {
        Ok,
        Overwrite,
        OverwriteAll,
        Skip,
        SkipAll,
        Abort
    };

    eZFile();
    virtual ~eZFile();

    static CopyType copyFile( const QString &src, const QString &srcfile,
                              const QString &dst, const QString &dstfile,
                              CopyType oldtype = Ok );

    static bool createDirectory( const QString &dir );

private:
};


#endif // EZFILE_HPP
