// 
// $Id$
//
// Definition of eZIconSelector class
//
// Jan Borsodi <amos@ez.no>
// Created on: <04-Dec-1999 21:46:00 amos>
//

#ifndef EZICONSELECTOR_HPP
#define EZICONSELECTOR_HPP

#include <qwidget.h>
#include "eziconselector.hpp"
#include <qradiobutton.h>
#include <qstring.h>

class eZIconSelector : public QWidget
{
    Q_OBJECT
public:
    eZIconSelector( bool superuser, QWidget *parent = 0, const char *name = 0 );
    virtual ~eZIconSelector();

    QString iconDirectory() const;
    QString iconDestDirectory() const;

private slots:
    void defChecked( bool );
    void newChecked( bool );
    void homeChecked( bool );
    void shareChecked( bool );

private:
    QRadioButton *DefBut;
    QRadioButton *NewBut;
    QRadioButton *Pressed;
    QRadioButton *HomeBut;
    QRadioButton *ShareBut;
    QRadioButton *Pressed2;
    bool Busy;
    bool Busy2;
};


#endif // EZICONSELECTOR_HPP
