// 
// $Id: qaoptions.hpp,v 1.1 1999/11/19 19:21:25 amos Exp $
//
// Definition of QaOptions class
//
// Jan Borsodi <amos@ez.no>
// Created on: <01-Jul-1999 02:14:34 amos>
//

#ifndef QAOPTIONS_HPP
#define QAOPTIONS_HPP

#include <qframe.h>
#include <qtabwidget.h>
#include <qwidget.h>
#include <qpushbutton.h>

class QaOptions : public QFrame
{
public:
    QaOptions( QWidget *parent = 0, const char *name = 0 );
    virtual ~QaOptions();

protected:
    void activateButtons();
    void updateDefault();
    void initTab();

private:
    QTabWidget *pTab;
    QPushButton *pOk;
    QPushButton *pApply;
    QPushButton *pCancel;
    QPushButton *pDefault;

    bool Modified;
    bool Default;
};


#endif // QAOPTIONS_HPP
