/* ;-*-c++-*-
 * 
 * qmimageviewbrowser.h
 * 
 * Marius Sundbakken <marius@fix.no>
 *
 * Last modified: Time-stamp: <21-Jun-1999 00:59:03 amos>
 */

#ifndef QMIMAGEVIEWBROWSER_H_INCLUDED
#define QMIMAGEVIEWBROWSER_H_INCLUDED

#include <qpixmap.h>

#include "qmimageview.h"
#include "qmlistview.h"
#include <qwidget.h>
#include <qevent.h>

class QmImageViewBrowser : public QWidget
{
    Q_OBJECT
    
public:
    QmImageViewBrowser(QWidget *Parent = 0,
		       const char *Name = 0);
    virtual ~QmImageViewBrowser();

    QmImageView *imageView() { return pImageView; }

public slots:
    bool loadImage(const char *Filename);

private:
    QmImageView		*pImageView;
    QmListView		*pThumbnailList;

    QPixmap		Pixmap;
};

#endif // QMIMAGEVIEWBROWSER_H_INCLUDED
